1688

1688 Search Results Scraper

Scrape product data from a 1688 search results page, including titles, prices, and listing details, by sending the search URL to this endpoint.

This endpoint scrapes product data from 1688's search results page using the provided search URL.

Note

Use the Sync Scraper API Server (https://sync.scraper.mrscraper.com) host when calling this endpoint.

POST
/api/1688/cbc/sync
AuthorizationBearer <token>

In: header

Request Body

application/json

url*string

1688 search results URL

Response Body

application/json

curl -X POST "https://api.app.mrscraper.com/api/1688/cbc/sync" \  -H "Content-Type: application/json" \  -d '{    "url": "https://s.1688.com/selloffer/offer_search.htm?keywords=%B2%AA%BF%CF&spm=a260k.home2025.searchbox.0&priceEnd=300&beginPage=1"  }'
{
  "success": true,
  "message": "URL scrapped",
  "data": {
    "api": "mtop.relationrecommend.wirelessrecommend.recommend",
    "data": {
      "result": [],
      "code": "200",
      "data": {
        "OFFER": {
          "trackInfo": {
            "expoArgs": {
              "swExposeInfo": "sw_ab_info@2483728_2563966..."
            }
          },
          "found": "2000",
          "code": "200",
          "keywords": "勃肯",
          "hasMore": "true",
          "viewType": "list_view",
          "items": [
            {
              "trackInfo": {},
              "cellType": "smart_ui_offer",
              "data": {
                "titleLeftIcon": "",
                "leftTop": [],
                "loginId": "灏博鞋业",
                "offerPicUrl": "https://cbu01.alicdn.com/img/ibank/O1CN01zZtVo31dFrD9Mfrdk_!!2208899013707-0-cib.jpg",
                "turnHead": {
                  "percent": "35%"
                },
                "type": "p4p",
                "province": "河南",
                "memberId": "b2b-22088990137079f098",
                "titleTags": [],
                "bookedCount": "1946",
                "tags": [],
                "isP4P": "true"
              },
              "trackType": "smartUiOffer",
              "viewType": "list_cell"
            }
          ],
          "isForbiddenWord": "false"
        }
      }
    },
    "ret": [
      "SUCCESS::调用成功"
    ],
    "v": "2.0"
  }
}